﻿using Xamarin.Forms;
using ItemTappedEventArgs = Syncfusion.ListView.XForms.ItemTappedEventArgs;

namespace TestListView
{
    public partial class MvDetail : BaseContentPage
    {
        public MvDetail()
        {
            InitializeComponent();
            BindingContext = new MainViewModel();
            listView.SwipeStarted += ListView_SwipeStarted;
            listView.Swiping += ListView_Swiping;
            listView.SwipeEnded += ListView_SwipeEnded;
            listView.SelectionChanged += ListView_SelectionChanged;
            listView.SelectionChanging += ListView_SelectionChanging;
        }

        /// <summary>
        /// Event gets raised when the item is being selected
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ListView_SelectionChanging(object sender, Syncfusion.ListView.XForms.ItemSelectionChangingEventArgs e)
        {
            
        }

        /// <summary>
        /// Events get raised when the item is selected
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ListView_SelectionChanged(object sender, Syncfusion.ListView.XForms.ItemSelectionChangedEventArgs e)
        {
            
        }

        /// <summary>
        /// Event raises when the swiping is ended
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ListView_SwipeEnded(object sender, Syncfusion.ListView.XForms.SwipeEndedEventArgs e)
        {
            
        }

        /// <summary>
        /// Event raises when the swiping is in progress
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ListView_Swiping(object sender, Syncfusion.ListView.XForms.SwipingEventArgs e)
        {
            
        }

        /// <summary>
        /// Event raises when the swipe event is started
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ListView_SwipeStarted(object sender, Syncfusion.ListView.XForms.SwipeStartedEventArgs e)
        {
            
        }

        private void SfListView_OnItemTapped(object sender, ItemTappedEventArgs e)
        {
            var viewmodel = BindingContext as MainViewModel;
            viewmodel?.CardSelection(e.ItemData as CustomerCard);
        }
    }

}
